Name:		abcm2ps
Version:	8.14.7
Release:	%mkrel 1
Summary:	Converts ABC format music sheets into Postscript
License:	GPLv2+
URL:		https://github.com/leesavide/abcm2ps/
Group:		Publishing
Source0:	https://github.com/leesavide/abcm2ps/archive/v%{version}.tar.gz
###Patch0:		abcm2ps_makefile.patch
Patch0:		abcm2ps-7.8.14-cflags.patch

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(pangocairo)

%description
abcm2ps is a package which converts music tunes from ABC format
to PostScript. Based on abc2ps version 1.2.5, it was developed
mainly to print polyphonic music, i.e. music with multiple voices
per staff. abcm2ps uses an extension to the ABC language that make
it suitable for classical music. This extended format is documented
under http://abcplus.sourceforge.net/.

%prep
%setup -q
%autopatch -p1

%build
%configure --enable-a4 --enable-deco-is-roll
%make_build

%install
%make_install bindir=%{buildroot}%{_bindir} datadir=%{buildroot}%{_datadir} docdir=%{buildroot}%{_docdir}

%files
%doc *.abc sample3.eps README.md examples
%{_bindir}/*
%{_datadir}/abcm2ps
%{_mandir}/man1/abcm2ps.1*


%changelog
* Fri May 22 2020 neoclust <neoclust> 8.14.7-1.mga8
+ Revision: 1586763
- New version 8.14.7
+ luigiwalser <luigiwalser>
- remove hardcoded cflags, use our optflags
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Feb 15 2020 umeabot <umeabot> 7.8.14-2.mga8
+ Revision: 1526826
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jun 10 2019 alexl <alexl> 7.8.14-1.mga8
+ Revision: 1399738
- imported package abcm2ps

